# tbb::spin_rw_mutex_v3 Class Reference
[Synchronization]

Fast, unfair, spinning reader-writer lock with backoff and writer-preference. More...

`#include <spin_rw_mutex.h>`

List of all members.

## Classes
class | scoped_lock
| The scoped locking pattern. More...
## Public Member Functions
| spin_rw_mutex_v3 ()
| ~spin_rw_mutex_v3 ()
| Destructor asserts if the mutex is acquired, i.e. state is zero.
void | lock ()
| Acquire writer lock.
bool | try_lock ()
| Try acquiring writer lock (non-blocking).
void | unlock ()
| Release lock.
void | lock_read ()
| Acquire reader lock.
bool | try_lock_read ()
| Try acquiring reader lock (non-blocking).
## Static Public Attributes
static const bool | is_rw_mutex = true
static const bool | is_recursive_mutex = false
static const bool | is_fair_mutex = false

## Detailed Description

Fast, unfair, spinning reader-writer lock with backoff and writer-preference.

## Constructor & Destructor Documentation

tbb::spin_rw_mutex_v3::spin_rw_mutex_v3 | ( |  | ) | `[inline]`

Construct unacquired mutex.

## Member Function Documentation

bool tbb::spin_rw_mutex_v3::try_lock | ( |  | ) | `[inline]`

Try acquiring writer lock (non-blocking).

Return true if lock acquired; false otherwise.

bool tbb::spin_rw_mutex_v3::try_lock_read | ( |  | ) | `[inline]`

Try acquiring reader lock (non-blocking).

Return true if reader lock acquired; false otherwise.

The documentation for this class was generated from the following file:

- spin_rw_mutex.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.